メインコンテンツへ移動
Nowledge MemNowledge Mem

スレッドからメモリを蒸留

POST
/memories/distill

Create memories from a conversation thread.

リクエストボディ

application/json

TypeScript定義

TypeScriptでrequest body型を使用します。

Request for memory distillation from thread content.

レスポンスボディ

application/json

application/json

curl -X POST "https://example.com/memories/distill" \  -H "Content-Type: application/json" \  -d '{    "thread_id": "string"  }'
{  "action": "created",  "assigned_labels": [    "string"  ],  "created_relationships": 0,  "extracted_entities": [    {      "aliases": [        "string"      ],      "confidence": 0.5,      "created_at": "2019-08-24T14:15:22Z",      "description": "string",      "entity_created": "string",      "entity_ended": "string",      "entity_type": "string",      "id": "string",      "metadata": {},      "name": "string",      "node_type": "Thread",      "temporal_confidence": 0,      "temporal_context": "string",      "temporal_precision": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "memory": {    "access_count": 0,    "appearances": 0,    "clicks": 0,    "confidence": 0.5,    "content": "string",    "created_at": "2019-08-24T14:15:22Z",    "crystal_title": "string",    "decay_score_cached": 1,    "embedding": [      0    ],    "event_end": "string",    "event_start": "string",    "extraction_method": "manual",    "id": "string",    "importance": 0.5,    "is_crystal": false,    "is_latest": true,    "last_accessed_at": "2019-08-24T14:15:22Z",    "last_clicked_at": "2019-08-24T14:15:22Z",    "last_evaluated_at": "2019-08-24T14:15:22Z",    "last_reindexed_at": "2019-08-24T14:15:22Z",    "metadata": {},    "node_type": "Thread",    "pagerank_score": 0,    "reindex_needed": false,    "review_status": "",    "semantic_field": "string",    "source": "string",    "source_range": {      "property1": 0,      "property2": 0    },    "source_unit_count": 0,    "space_id": "default",    "temporal_confidence": 0,    "temporal_context": "timeless",    "temporal_precision": "string",    "temporal_type": "string",    "title": "string",    "total_dwell_time_ms": 0,    "unit_type": "fact",    "updated_at": "2019-08-24T14:15:22Z",    "version": 1  },  "warnings": [    "string"  ]}